---
search:
  tags:
    - audit
    - GET
seo:
  description: >-
    One row for each change request (each method other than GET) and each…
    Reference for the GET /api/v1/audit-events endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: List the audit log
  badge: GET
title: List the audit log
type: openapi-operation
---
One row for each change request (each method other than GET) and each login, also when it is refused. The console keeps a row for 180 days.

`GET /api/v1/audit-events`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "events": [
    {
      "actor": "string",
      "at": "2019-08-24T14:15:22Z",
      "client_ip": "string",
      "duration_ms": 0,
      "error": "string",
      "http_method": "string",
      "id": 0,
      "login_method": "string",
      "operation_id": "string",
      "path": "string",
      "query": "string",
      "role": "string",
      "status": 0,
      "target": "string",
      "user_agent": "string"
    }
  ],
  "total": 0
}
```
